DefaultConstraintEvaluatorFactoryBean (Grails 6.0.0)

Package: org.grails.plugins.domain.support

## [Groovy] Class DefaultConstraintEvaluatorFactoryBean

- org.grails.plugins.domain.support.DefaultConstraintEvaluatorFactoryBean

- All Implemented Interfaces and Traits:
    org.springframework.beans.factory.FactoryBean<org.grails.datastore.gorm.validation.constraints.eval.ConstraintsEvaluator>

      class DefaultConstraintEvaluatorFactoryBean
      extends java.lang.Object
      implements org.springframework.beans.factory.FactoryBean<org.grails.datastore.gorm.validation.constraints.eval.ConstraintsEvaluator>

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private GrailsApplication` | `grailsApplication` |
    `private org.grails.datastore.mapping.model.MappingContext` | `grailsDomainClassMappingContext` |
    `private org.springframework.context.MessageSource` | `messageSource` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GrailsApplication` | `grailsApplication`
    `org.grails.datastore.mapping.model.MappingContext` | `grailsDomainClassMappingContext`
    `org.springframework.context.MessageSource` | `messageSource`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultConstraintEvaluatorFactoryBean ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `org.grails.datastore.gorm.validation.constraints.eval.ConstraintsEvaluator` | `getObject()`
    `` | `java.lang.Class<?>` | `getObjectType()`
    `` | `boolean` | `isSingleton()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### @org.springframework.beans.factory.annotation.Autowired private GrailsApplication grailsApplication

    - #### @org.springframework.beans.factory.annotation.Autowired @org.springframework.beans.factory.annotation.Qualifier(value: grailsDomainClassMappingContext) private org.grails.datastore.mapping.model.MappingContext grailsDomainClassMappingContext

    - #### @org.springframework.beans.factory.annotation.Autowired private org.springframework.context.MessageSource messageSource

  - ### Property Detail

    - #### @org.springframework.beans.factory.annotation.Autowired GrailsApplication grailsApplication

    - #### @org.springframework.beans.factory.annotation.Autowired @org.springframework.beans.factory.annotation.Qualifier(value: grailsDomainClassMappingContext) org.grails.datastore.mapping.model.MappingContext grailsDomainClassMappingContext

    - #### @org.springframework.beans.factory.annotation.Autowired org.springframework.context.MessageSource messageSource

  - ### Constructor Detail

    - #### DefaultConstraintEvaluatorFactoryBean()

  - ### Method Detail

    - #### @java.lang.Override org.grails.datastore.gorm.validation.constraints.eval.ConstraintsEvaluator getObject()

    - #### @java.lang.Override java.lang.Class<?> getObjectType()

    - #### @java.lang.Override boolean isSingleton()